%define	major	1.0.0

%define libname		%mklibname %name %major

Name:		jahshaka
Summary: 	OpenSource Realtime Editing and Effects System
Version:	2.0.0
Release:	%mkrel 1
Source0:	%{name}-2.0.tar.bz2
Source1:	icons-%{name}.tar.bz2
Patch0:		jahshaka-plugins-gcc41warnings.patch
Patch1:		jahshaka-2.0-20060916-gcc-warnings.patch
Patch2:		jahshaka-2.0-openassetlib-link.patch
Patch3:		jahshaka-2.0-rc4-size_t.patch
Patch4:		jahshaka-2.0.0-misc.patch
URL:		http://www.jahshaka.com
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	GL-devel
BuildRequires:	ImageMagick
BuildRequires:	libavifile-devel
BuildRequires:	mlt
BuildRequires:	mlt-devel
BuildRequires:	mlt++-devel
BuildRequires:	openlibraries-devel
BuildRequires:	qt3-devel
BuildRequires:  openal-devel
Requires:       %{libname} = %{version}-%{release}

%description
The worlds first OpenSource Realtime Editing and Effects System. Jahshaka
takes advantage of the power of OpenGL and OpenML to give its users
exceptional levels of performance. 


%package -n     %{libname}
Summary:        Main libraries for jahshaka
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the libraries needed to run jahshaka.

%prep
%setup -q -n %{name}

#patch0 -p1 -b .gcc41warn
%patch1 -p1 -b .gcc41
%patch2 -p1 -b .link
%patch3 -p1 -b .size_t
%patch4 -p1 -b .misc

# Adjust CXXFLAGS...
find . -type f -name '*.pro' | while read r; do
	cat >>$r <<'EOF'
unix {
	QMAKE_CXXFLAGS_DEBUG += -fexceptions -fvisibility=default -Wall -Werror
	QMAKE_CXXFLAGS_RELEASE += -fexceptions -fvisibility=default -Wall -Werror
}
EOF
done

# Fix libpath for 64bit
perl -pi -e 's@\$\$JAHPREFIX/lib@\$\$JAHPREFIX/%{_lib}@g' ./source/OpenLibraries/lib_standard.pro

%build
if [ ! -z $QTDIR ]; then
        export QTPATH=$QTDIR/bin
        export PATH=$PATH:$QTPATH
else
        export PATH=$PATH:%{_prefix}/lib/qt3
fi
export LD_LIBRARY_PATH=`pwd`/source/OpenLibraries/lib

%configure \
	--prefix=%{_prefix}

pushd source/OpenLibraries/openmedialib/mediaobject
qmake mediaobject.pro
make
popd

make
%configure --prefix=$RPM_BUILD_ROOT%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

# Mandriva Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" \
	needs="X11" \
	icon="%{name}.png" \
	section="Multimedia/Video" \
	title="Jahshaka" \
%if %{mdkversion} >= 200610
	xdg=true \
%endif
	longtitle="RealTime Editing and Effects System"
EOF

# Icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
tar jxf %{SOURCE1} -C %{buildroot}%{_iconsdir}

# Create .desktop
%if %{mdkversion} >= 200610
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Jahshaka
Comment=%{summary}
Exec=%{_bindir}/%{name} %f
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Graphics;Graphics;
Encoding=UTF-8
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
%endif

find $RPM_BUILD_ROOT%{_datadir} -type f -print0 | xargs -0 chmod 644
find $RPM_BUILD_ROOT%{_datadir} -type f -name '*.so*' -print0| xargs -0 chmod 755

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README INSTALL COPYING AUTHORS
%{_datadir}/%{name}
%{_bindir}/*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/%{name}.png
%if %{mdkversion} >= 200610
%{_datadir}/applications/*
%endif
%exclude %{_datadir}/%{name}/fonts/arial.ttf
%exclude %{_datadir}/%{name}/fonts/comic.ttf
%exclude %{_datadir}/%{name}/fonts/impact.ttf
%exclude %{_datadir}/%{name}/fonts/times.ttf

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so*



%changelog
* Sun Mar 11 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.0.0-1mdv2007.1
+ Revision: 141404
- Release 2.0 final.
- Rebuilt Patch3.
- Added Patch4.
- Unbzip2 patches.

* Fri Feb 16 2007 Lenny Cartier <lenny@mandriva.com> 2.0.0-0.RC4.20060618.2mdv2007.0
+ Revision: 121628
- Buildrequires
- Add icons tarball
- Update to 2.0 RC4 snapshot
- Import jahshaka



* Thu Oct 06 2005 Lenny Cartier <lenny@mandriva.com> 2.0-0.RC1.1mdk
- 2.0.0RC1

* Thu Dec 11 2003 Austin Acton <austin@linux.ca> 1.9-0.alpha5.1mdk
- re-introduce as 1.9alpha5

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8.5-1mdk
- 1.8.5

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7.2-1mdk
- 1.7.2

* Wed Sep 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- new in contribs
